//
// QPerforce is a gui interface to the perforce revision control
// system. It is based on the qt library, and should be easily portable
// across any platform that has this toolkit available.
// 
// Copyright (C) 2002 Jacob Gladish
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
#include "JobMenu.h"
#include "P4Process.h"
#include "todo.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

JobMenu::JobMenu( QWidget* parent, const char* name ) :
  QPopupMenu( parent, name )
{
  insertItem( "New...", this, SLOT(slotNew()) );
  insertItem( "Edit Spec...", this, SLOT(slotEditSpec()) );
  insertItem( "Describe...", this, SLOT(slotDescribe()) );
  insertItem( "Delete", this, SLOT(slotDelete()) );

  insertSeparator();

  insertItem( "Filter", this, SLOT(slotFilter()) );
  insertItem( "Clear Filter", this, SLOT(slotClearFilter()), CTRL+Key_J );

  insertSeparator();

  insertItem( "Set job list Column", this, SLOT(slotSetJobListColumn()) );
  insertItem( "View Jobs", this, SLOT(slotViewJobs()) );
}

JobMenu::~JobMenu()
{

}



void JobMenu::slotNew()
{
  TODO();
}

void JobMenu::slotEditSpec()
{
  TODO();
}

void JobMenu::slotDescribe()
{
  TODO();
}

void JobMenu::slotDelete()
{
  TODO();
}

void JobMenu::slotFilter()
{
  TODO();
}

void JobMenu::slotClearFilter()
{
  TODO();
}

void JobMenu::slotSetJobListColumn()
{
  TODO();
}

void JobMenu::slotViewJobs()
{
   TODO();
}

void JobMenu::updateCache()
{
  TODO();
  //qDebug( "Updating jobs cache" );
  //P4Process p4;
  //_jobs = p4.getUsers();
}


